> # NAME

> cgGetProfileDomain - get the domain of a profile enumerant

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGdomain cgGetProfileDomain( CGprofile profile );

> # PARAMETERS

> profile

>   The profile enumerant for which the domain will be returned.

> # RETURN VALUES

> Returns the domain of the given profile if known.

> Returns CG_UNKNOWN_DOMAIN otherwise.

> # DESCRIPTION

> cgGetProfileDomain returns the domain type for the given profile. The following domain types will be returned:

> CG_VERTEX_DOMAIN

>   profile is valid for a vertex program.

> CG_FRAGMENT_DOMAIN

>   profile is valid for a fragment program.

> # EXAMPLES

> CGdomain domain = cgGetProfileDomain(CG_PROFILE_PS_3_0); /* domain will be CG_FRAGMENT_DOMAIN */

> # ERRORS

> None.

> # HISTORY

> cgGetProfileDomain was introduced in Cg 1.5.

> # SEE ALSO

> cgGetNumProgramDomains, cgGetProgramDomainProfile